Index: test/fileconverter/test/utest_nxcansas_writer.py
===================================================================
--- test/fileconverter/test/utest_nxcansas_writer.py	(revision 248ff7332a99edb391f42db2a242a497473df452)
+++ test/fileconverter/test/utest_nxcansas_writer.py	(revision 248ff7332a99edb391f42db2a242a497473df452)
@@ -62,2 +62,4 @@
         if os.path.isfile(self.write_file_1d):
             os.remove(self.write_file_1d)
+        if os.path.isfile(self.write_file_2d):
+            os.remove(self.write_file_2d)
Index: test/pr_inversion/test/utest_invertor.py
===================================================================
--- test/pr_inversion/test/utest_invertor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ test/pr_inversion/test/utest_invertor.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -6,9 +6,14 @@
 # Disable "too many methods" complaint 
 # pylint: disable-msg=R0904 
-
-
-import unittest, math, numpy
+from __future__ import print_function
+
+
+import os
+import unittest
+import math
+import numpy
 from sas.sascalc.pr.invertor import Invertor
-        
+
+
 class TestFiguresOfMerit(unittest.TestCase):
             
@@ -235,5 +240,5 @@
             self.assertTrue(chi2/51.0<10.0)
         except:
-            print "chi2 =", chi2/51.0
+            print("chi2 =", chi2/51.0)
             raise
         
@@ -263,5 +268,5 @@
             self.assertTrue(self.invertor.chi2/len(x)<200.00)
         except:
-            print "Chi2(I(q)) =", self.invertor.chi2/len(x)
+            print("Chi2(I(q)) =", self.invertor.chi2/len(x))
             raise
         
@@ -297,5 +302,5 @@
             self.assertTrue(chi2/51.0<50.0)
         except:
-            print "chi2(P(r)) =", chi2/51.0
+            print("chi2(P(r)) =", chi2/51.0)
             raise
         
@@ -341,5 +346,5 @@
             self.assertTrue(self.invertor.chi2>0)
         except:
-            print "Chi2 =", self.invertor.chi2
+            print("Chi2 =", self.invertor.chi2)
             raise
                             
@@ -365,5 +370,5 @@
             self.assertTrue(self.invertor.chi2>0)
         except:
-            print "Chi2 =", self.invertor.chi2
+            print("Chi2 =", self.invertor.chi2)
             raise
         
@@ -416,12 +421,15 @@
         
         # Save
-        self.invertor.to_file("test_output.txt")
+        f_name = "test_output.txt"
+        self.invertor.to_file(f_name)
     
         # Load
-        self.invertor.from_file("test_output.txt")
+        self.invertor.from_file(f_name)
         self.assertEqual(self.invertor.d_max, 160.0)
         self.assertEqual(self.invertor.alpha, 0.0007)
         self.assertEqual(self.invertor.chi2, 836.797)
         self.assertAlmostEqual(self.invertor.pr(self.invertor.out, 10.0), 903.31577041, 4)
+        if os.path.isfile(f_name):
+            os.remove(f_name)
         
     def test_qmin(self):
Index: test/run_one.py
===================================================================
--- test/run_one.py	(revision aaad4c950340dd661ea6ea88902bb2c1a895de57)
+++ test/run_one.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -1,3 +1,4 @@
 #!/usr/bin/env python
+from __future__ import print_function
 
 import os
@@ -24,5 +25,5 @@
 #print "\n".join(sys.path)
 test_path,test_file = splitpath(abspath(sys.argv[1]))
-print "=== testing:",sys.argv[1]
+print("=== testing:",sys.argv[1])
 #print test_path, test_file
 sys.argv = [sys.argv[0]]
Index: test/sasdataloader/plugins/test_reader.py
===================================================================
--- test/sasdataloader/plugins/test_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/sasdataloader/plugins/test_reader.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -8,4 +8,6 @@
 copyright 2008, University of Tennessee
 """
+from __future__ import print_function
+
 import os
 import numpy as np
@@ -59,5 +61,5 @@
     reader = Reader()
     output = reader.read("../test/test_data.test")
-    print output.x
+    print(output.x)
     
     
Index: test/sasdataloader/test/sequence_tests.py
===================================================================
--- test/sasdataloader/test/sequence_tests.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/sasdataloader/test/sequence_tests.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 from DataLoader.loader import Loader
 from DataLoader.readers.IgorReader import Reader as igor_reader
@@ -8,5 +10,5 @@
     out2 = Loader().load("MAR07232_rest.ASC")
     if len(out2.detector)>1:
-        print "Consecutive reads using Loader failed"
+        print("Consecutive reads using Loader failed")
 
 def consecutive_reader():
@@ -14,7 +16,7 @@
     out2 = igor_reader().read("MAR07232_rest.ASC")
     if len(out2.detector)>1:
-        print "Consecutive reads using Readers failed"
-        print out1
-        print out2
+        print("Consecutive reads using Readers failed")
+        print(out1)
+        print(out2)
 
 def single_abs():
@@ -29,3 +31,3 @@
     single_igor()
     single_abs()
-    print "Test passed"
+    print("Test passed")
Index: test/sasdataloader/test/sesans_examples/next_gen.ses
===================================================================
--- test/sasdataloader/test/sesans_examples/next_gen.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
+++ test/sasdataloader/test/sesans_examples/next_gen.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
@@ -0,0 +1,73 @@
+FileFormatVersion       2.0
+DataFileTitle           PMMA in Mixed Deuterated decalin
+Sample                  Ostensibly 40$ 100nm radius PMMA hard spheres in mixed deuterarted decalin.
+Thickness               2
+Thickness_unit          mm
+Theta_zmax              0.09
+Theta_zmax_unit         radians
+Theta_ymax              0.09
+Theta_ymax_unit         radians
+Orientation             Z
+SpinEchoLength_unit     A
+Depolarisation_unit     A-2 cm-1
+Wavelength_unit         A
+
+BEGIN_DATA
+SpinEchoLength Depolarisation Depolarisation_error Wavelength
+260.0 -1.42E-3 2.04E-3 1.612452
+280.8 -1.45E-3 1.87E-3 1.675709
+303.264 -1.64E-3 1.23E-3 1.741448
+327.525 -1.69E-3 1.17E-3 1.809765
+353.727 -2.23E-3 9.09E-4 1.880763
+382.025 -2.26E-3 8.58E-4 1.954546
+412.587 -2.41E-3 7.29E-4 2.031224
+445.594 -2.58E-3 6.75E-4 2.11091
+481.242 -2.88E-3 6.04E-4 2.193723
+519.741 -3.35E-3 5.56E-4 2.279783
+561.32 -3.60E-3 5.22E-4 2.369219
+606.226 -3.92E-3 4.91E-4 2.462166
+654.724 -4.36E-3 4.73E-4 2.558758
+707.102 -4.67E-3 4.54E-4 2.659139
+763.67 -4.91E-3 4.22E-4 2.763458
+824.764 -5.32E-3 3.88E-4 2.87187
+890.745 -5.43E-3 3.53E-4 2.984535
+962.005 -5.61E-3 3.28E-4 3.101621
+1038.97 -5.83E-3 3.07E-4 3.223306
+1122.08 -5.88E-3 2.91E-4 3.349746
+1211.85 -5.91E-3 2.73E-4 3.481164
+1308.8 -5.71E-3 2.61E-4 3.617734
+1413.5 -5.40E-3 2.49E-4 3.759654
+1526.58 -5.10E-3 2.41E-4 3.907147
+1648.71 -4.77E-3 2.34E-4 4.060431
+1780.6 -4.34E-3 2.26E-4 4.219716
+1923.05 -4.18E-3 2.20E-4 4.385259
+2076.9 -4.08E-3 2.16E-4 4.557302
+2243.05 -4.37E-3 2.13E-4 4.736085
+2422.49 -4.66E-3 2.10E-4 4.92188
+2616.29 -4.96E-3 2.06E-4 5.114968
+2825.59 -5.04E-3 2.03E-4 5.315628
+3051.64 -4.96E-3 1.99E-4 5.524165
+3295.77 -4.72E-3 1.97E-4 5.74088
+3559.43 -4.52E-3 1.92E-4 5.966096
+3844.19 -4.65E-3 1.93E-4 6.200153
+4151.72 -4.74E-3 1.96E-4 6.443384
+4483.86 -4.87E-3 1.99E-4 6.696163
+4842.57 -4.81E-3 2.05E-4 6.958858
+5229.98 -4.57E-3 2.09E-4 7.23186
+5648.38 -4.72E-3 2.17E-4 7.515571
+6100.25 -4.79E-3 2.23E-4 7.81041
+6588.27 -4.68E-3 2.28E-4 8.116816
+7115.33 -4.61E-3 2.32E-4 8.435242
+7684.55 -4.78E-3 2.46E-4 8.766157
+8299.32 -4.74E-3 2.46E-4 9.11006
+8963.26 -4.56E-3 2.50E-4 9.467449
+9680.32 -4.70E-3 2.58E-4 9.838862
+10454.7 -4.81E-3 2.64E-4 10.224823
+11291.1 -4.65E-3 2.69E-4 10.625959
+12194.4 -4.43E-3 2.79E-4 11.042826
+13170.0 -4.55E-3 3.01E-4 11.476062
+14223.6 -4.35E-3 3.20E-4 11.926274
+15361.5 -4.24E-3 3.51E-4 12.394152
+16590.4 -4.68E-3 4.12E-4 12.880373
+17917.6 -4.96E-3 4.98E-4 13.385664
+19303.4 -4.56E-3 5.98E-4 13.893668
Index: test/sasdataloader/test/sesans_examples/no_spin_echo_unit.ses
===================================================================
--- test/sasdataloader/test/sesans_examples/no_spin_echo_unit.ses	(revision 4b5f2657b41cc1e27f305d7bfdbd0adea9eb8ef3)
+++ test/sasdataloader/test/sesans_examples/no_spin_echo_unit.ses	(revision 4b5f2657b41cc1e27f305d7bfdbd0adea9eb8ef3)
@@ -0,0 +1,72 @@
+FileFormatVersion       1.0
+DataFileTitle           PMMA in Mixed Deuterated decalin
+Sample                  Ostensibly 40$ 100nm radius PMMA hard spheres in mixed deuterarted decalin.
+Thickness               2
+Thickness_unit          mm
+Theta_zmax              0.09
+Theta_zmax_unit         radians
+Theta_ymax              0.09
+Theta_ymax_unit         radians
+Orientation             Z
+Depolarisation_unit     A-2 cm-1
+Wavelength_unit         A
+
+BEGIN_DATA
+SpinEchoLength Depolarisation Depolarisation_error Wavelength
+260.0 -1.42E-3 2.04E-3 1.612452
+280.8 -1.45E-3 1.87E-3 1.675709
+303.264 -1.64E-3 1.23E-3 1.741448
+327.525 -1.69E-3 1.17E-3 1.809765
+353.727 -2.23E-3 9.09E-4 1.880763
+382.025 -2.26E-3 8.58E-4 1.954546
+412.587 -2.41E-3 7.29E-4 2.031224
+445.594 -2.58E-3 6.75E-4 2.11091
+481.242 -2.88E-3 6.04E-4 2.193723
+519.741 -3.35E-3 5.56E-4 2.279783
+561.32 -3.60E-3 5.22E-4 2.369219
+606.226 -3.92E-3 4.91E-4 2.462166
+654.724 -4.36E-3 4.73E-4 2.558758
+707.102 -4.67E-3 4.54E-4 2.659139
+763.67 -4.91E-3 4.22E-4 2.763458
+824.764 -5.32E-3 3.88E-4 2.87187
+890.745 -5.43E-3 3.53E-4 2.984535
+962.005 -5.61E-3 3.28E-4 3.101621
+1038.97 -5.83E-3 3.07E-4 3.223306
+1122.08 -5.88E-3 2.91E-4 3.349746
+1211.85 -5.91E-3 2.73E-4 3.481164
+1308.8 -5.71E-3 2.61E-4 3.617734
+1413.5 -5.40E-3 2.49E-4 3.759654
+1526.58 -5.10E-3 2.41E-4 3.907147
+1648.71 -4.77E-3 2.34E-4 4.060431
+1780.6 -4.34E-3 2.26E-4 4.219716
+1923.05 -4.18E-3 2.20E-4 4.385259
+2076.9 -4.08E-3 2.16E-4 4.557302
+2243.05 -4.37E-3 2.13E-4 4.736085
+2422.49 -4.66E-3 2.10E-4 4.92188
+2616.29 -4.96E-3 2.06E-4 5.114968
+2825.59 -5.04E-3 2.03E-4 5.315628
+3051.64 -4.96E-3 1.99E-4 5.524165
+3295.77 -4.72E-3 1.97E-4 5.74088
+3559.43 -4.52E-3 1.92E-4 5.966096
+3844.19 -4.65E-3 1.93E-4 6.200153
+4151.72 -4.74E-3 1.96E-4 6.443384
+4483.86 -4.87E-3 1.99E-4 6.696163
+4842.57 -4.81E-3 2.05E-4 6.958858
+5229.98 -4.57E-3 2.09E-4 7.23186
+5648.38 -4.72E-3 2.17E-4 7.515571
+6100.25 -4.79E-3 2.23E-4 7.81041
+6588.27 -4.68E-3 2.28E-4 8.116816
+7115.33 -4.61E-3 2.32E-4 8.435242
+7684.55 -4.78E-3 2.46E-4 8.766157
+8299.32 -4.74E-3 2.46E-4 9.11006
+8963.26 -4.56E-3 2.50E-4 9.467449
+9680.32 -4.70E-3 2.58E-4 9.838862
+10454.7 -4.81E-3 2.64E-4 10.224823
+11291.1 -4.65E-3 2.69E-4 10.625959
+12194.4 -4.43E-3 2.79E-4 11.042826
+13170.0 -4.55E-3 3.01E-4 11.476062
+14223.6 -4.35E-3 3.20E-4 11.926274
+15361.5 -4.24E-3 3.51E-4 12.394152
+16590.4 -4.68E-3 4.12E-4 12.880373
+17917.6 -4.96E-3 4.98E-4 13.385664
+19303.4 -4.56E-3 5.98E-4 13.893668
Index: test/sasdataloader/test/sesans_examples/no_wavelength.ses
===================================================================
--- test/sasdataloader/test/sesans_examples/no_wavelength.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
+++ test/sasdataloader/test/sesans_examples/no_wavelength.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
@@ -0,0 +1,73 @@
+FileFormatVersion       1.0
+DataFileTitle           PMMA in Mixed Deuterated decalin
+Sample                  Ostensibly 40$ 100nm radius PMMA hard spheres in mixed deuterarted decalin.
+Thickness               2
+Thickness_unit          mm
+Theta_zmax              0.09
+Theta_zmax_unit         radians
+Theta_ymax              0.09
+Theta_ymax_unit         radians
+Orientation             Z
+SpinEchoLength_unit     A
+Depolarisation_unit     A-2 cm-1
+Wavelength_unit         A
+
+BEGIN_DATA
+SpinEchoLength Depolarisation Depolarisation_error 
+260.0 -1.42E-3 2.04E-3 1.612452
+280.8 -1.45E-3 1.87E-3 1.675709
+303.264 -1.64E-3 1.23E-3 1.741448
+327.525 -1.69E-3 1.17E-3 1.809765
+353.727 -2.23E-3 9.09E-4 1.880763
+382.025 -2.26E-3 8.58E-4 1.954546
+412.587 -2.41E-3 7.29E-4 2.031224
+445.594 -2.58E-3 6.75E-4 2.11091
+481.242 -2.88E-3 6.04E-4 2.193723
+519.741 -3.35E-3 5.56E-4 2.279783
+561.32 -3.60E-3 5.22E-4 2.369219
+606.226 -3.92E-3 4.91E-4 2.462166
+654.724 -4.36E-3 4.73E-4 2.558758
+707.102 -4.67E-3 4.54E-4 2.659139
+763.67 -4.91E-3 4.22E-4 2.763458
+824.764 -5.32E-3 3.88E-4 2.87187
+890.745 -5.43E-3 3.53E-4 2.984535
+962.005 -5.61E-3 3.28E-4 3.101621
+1038.97 -5.83E-3 3.07E-4 3.223306
+1122.08 -5.88E-3 2.91E-4 3.349746
+1211.85 -5.91E-3 2.73E-4 3.481164
+1308.8 -5.71E-3 2.61E-4 3.617734
+1413.5 -5.40E-3 2.49E-4 3.759654
+1526.58 -5.10E-3 2.41E-4 3.907147
+1648.71 -4.77E-3 2.34E-4 4.060431
+1780.6 -4.34E-3 2.26E-4 4.219716
+1923.05 -4.18E-3 2.20E-4 4.385259
+2076.9 -4.08E-3 2.16E-4 4.557302
+2243.05 -4.37E-3 2.13E-4 4.736085
+2422.49 -4.66E-3 2.10E-4 4.92188
+2616.29 -4.96E-3 2.06E-4 5.114968
+2825.59 -5.04E-3 2.03E-4 5.315628
+3051.64 -4.96E-3 1.99E-4 5.524165
+3295.77 -4.72E-3 1.97E-4 5.74088
+3559.43 -4.52E-3 1.92E-4 5.966096
+3844.19 -4.65E-3 1.93E-4 6.200153
+4151.72 -4.74E-3 1.96E-4 6.443384
+4483.86 -4.87E-3 1.99E-4 6.696163
+4842.57 -4.81E-3 2.05E-4 6.958858
+5229.98 -4.57E-3 2.09E-4 7.23186
+5648.38 -4.72E-3 2.17E-4 7.515571
+6100.25 -4.79E-3 2.23E-4 7.81041
+6588.27 -4.68E-3 2.28E-4 8.116816
+7115.33 -4.61E-3 2.32E-4 8.435242
+7684.55 -4.78E-3 2.46E-4 8.766157
+8299.32 -4.74E-3 2.46E-4 9.11006
+8963.26 -4.56E-3 2.50E-4 9.467449
+9680.32 -4.70E-3 2.58E-4 9.838862
+10454.7 -4.81E-3 2.64E-4 10.224823
+11291.1 -4.65E-3 2.69E-4 10.625959
+12194.4 -4.43E-3 2.79E-4 11.042826
+13170.0 -4.55E-3 3.01E-4 11.476062
+14223.6 -4.35E-3 3.20E-4 11.926274
+15361.5 -4.24E-3 3.51E-4 12.394152
+16590.4 -4.68E-3 4.12E-4 12.880373
+17917.6 -4.96E-3 4.98E-4 13.385664
+19303.4 -4.56E-3 5.98E-4 13.893668
Index: test/sasdataloader/test/sesans_examples/sesans_no_data.ses
===================================================================
--- test/sasdataloader/test/sesans_examples/sesans_no_data.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
+++ test/sasdataloader/test/sesans_examples/sesans_no_data.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
@@ -0,0 +1,15 @@
+FileFormatVersion       1.0
+DataFileTitle           PMMA in Mixed Deuterated decalin
+Sample                  Ostensibly 40$ 100nm radius PMMA hard spheres in mixed deuterarted decalin.
+Thickness               2
+Thickness_unit          mm
+Theta_zmax              0.09
+Theta_zmax_unit         radians
+Theta_ymax              0.09
+Theta_ymax_unit         radians
+Orientation             Z
+SpinEchoLength_unit     A
+Depolarisation_unit     A-2 cm-1
+Wavelength_unit         A
+
+BEGIN_DATA
Index: test/sasdataloader/test/sesans_examples/sphere2micron.ses
===================================================================
--- test/sasdataloader/test/sesans_examples/sphere2micron.ses	(revision aa45dcd4d087761023bf24929e86bcaca8507d23)
+++ test/sasdataloader/test/sesans_examples/sphere2micron.ses	(revision aa45dcd4d087761023bf24929e86bcaca8507d23)
@@ -0,0 +1,60 @@
+FileFormatVersion       1.0
+DataFileTitle           Polystyrene of Markus Strobl,  Full Sine, ++ only
+Sample                  Polystyrene 2 um in 53% H2O, 47% D2O
+Settings                D1=D2=20x8 mm,Ds = 16x10 mm (WxH), GF1 =scanning, GF2 = 2.5 A. 2 um polystyrene in 53% H2O, 47% D2O; 8.55% contrast
+Operator                CPD
+Date                    do 10 jul 2014 16:37:30
+ScanType                sine one element scan
+Thickness               2.00E-01
+Thickness_unit          cm
+Theta_zmax              0.0168
+Theta_zmax_unit         radians
+Theta_ymax              0.0168
+Theta_ymax_unit         radians
+Orientation             Z
+SpinEchoLength_unit     A
+Depolarisation_unit     A-2 cm-1
+Wavelength_unit         A
+
+BEGIN_DATA
+SpinEchoLength Depolarisation Depolarisation_error SpinEchoLength_error Wavelength Wavelength_error Polarisation  Polarisation_error
+391.56 0.0041929 0.0036894 19.578 2.11 0.1055 1.0037 0.0032974
+1564 -0.0046571 0.0038185 78.2 2.11 0.1055 0.99586 0.003386
+2735.6 -0.017007 0.0038132 136.78 2.11 0.1055 0.98497 0.0033444
+3907.9 -0.033462 0.0035068 195.39 2.11 0.1055 0.97064 0.0030309
+5080.2 -0.047483 0.0038208 254.01 2.11 0.1055 0.9586 0.0032613
+6251.8 -0.070375 0.00376 312.59 2.11 0.1055 0.93926 0.0031446
+7423.2 -0.092217 0.0037927 371.16 2.11 0.1055 0.92117 0.0031108
+8595.5 -0.10238 0.004006 429.77 2.11 0.1055 0.91287 0.0032562
+9767.7 -0.12672 0.0038534 488.39 2.11 0.1055 0.8933 0.0030651
+10940 -0.1374 0.004243 546.98 2.11 0.1055 0.88484 0.003343
+12112 -0.16072 0.0045837 605.58 2.11 0.1055 0.86666 0.0035372
+13284 -0.16623 0.0045613 664.2 2.11 0.1055 0.86242 0.0035027
+14456 -0.18468 0.0044918 722.79 2.11 0.1055 0.84837 0.0033931
+15628 -0.19143 0.0048967 781.38 2.11 0.1055 0.84328 0.0036768
+16800 -0.20029 0.0045421 840.02 2.11 0.1055 0.83666 0.0033837
+17971 -0.19798 0.0046642 898.56 2.11 0.1055 0.83838 0.0034819
+19143 -0.21442 0.0047052 957.17 2.11 0.1055 0.82619 0.0034614
+20316 -0.20885 0.0044931 1015.8 2.11 0.1055 0.8303 0.0033218
+21488 -0.21393 0.0049186 1074.4 2.11 0.1055 0.82655 0.00362
+22660 -0.20685 0.004423 1133 2.11 0.1055 0.83179 0.0032758
+23832 -0.20802 0.0046979 1191.6 2.11 0.1055 0.83092 0.0034758
+25003 -0.19848 0.0045953 1250.2 2.11 0.1055 0.838 0.0034289
+26175 -0.21117 0.0044567 1308.8 2.11 0.1055 0.82859 0.0032881
+27347 -0.21283 0.004137 1367.4 2.11 0.1055 0.82736 0.0030477
+28520 -0.2042 0.0044587 1426 2.11 0.1055 0.83375 0.0033101
+29692 -0.2112 0.0042852 1484.6 2.11 0.1055 0.82857 0.0031615
+30864 -0.20319 0.0043483 1543.2 2.11 0.1055 0.8345 0.003231
+32036 -0.20752 0.0044297 1601.8 2.11 0.1055 0.83129 0.0032788
+33207 -0.20654 0.0043188 1660.4 2.11 0.1055 0.83201 0.0031995
+34380 -0.20126 0.0046375 1719 2.11 0.1055 0.83593 0.0034518
+35551 -0.20924 0.0042871 1777.6 2.11 0.1055 0.83001 0.0031684
+36724 -0.21323 0.0045471 1836.2 2.11 0.1055 0.82707 0.0033487
+37895 -0.21324 0.0045354 1894.7 2.11 0.1055 0.82706 0.00334
+39067 -0.19905 0.0044141 1953.4 2.11 0.1055 0.83758 0.003292
+40239 -0.1991 0.0047441 2012 2.11 0.1055 0.83754 0.003538
+41411 -0.20359 0.0050136 2070.5 2.11 0.1055 0.8342 0.003724
+42583 -0.21032 0.0049474 2129.1 2.11 0.1055 0.82922 0.0036529
+43755 -0.20689 0.0048203 2187.8 2.11 0.1055 0.83176 0.00357
+44927 -0.21075 0.0052337 2246.4 2.11 0.1055 0.8289 0.0038628
+46099 -0.19956 0.0047827 2304.9 2.11 0.1055 0.8372 0.0035653
Index: test/sasdataloader/test/sesans_examples/sphere_isis.ses
===================================================================
--- test/sasdataloader/test/sesans_examples/sphere_isis.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
+++ test/sasdataloader/test/sesans_examples/sphere_isis.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
@@ -0,0 +1,73 @@
+FileFormatVersion       1.0
+DataFileTitle           PMMA in Mixed Deuterated decalin
+Sample                  Ostensibly 40$ 100nm radius PMMA hard spheres in mixed deuterarted decalin.
+Thickness               2
+Thickness_unit          mm
+Theta_zmax              0.09
+Theta_zmax_unit         radians
+Theta_ymax              0.09
+Theta_ymax_unit         radians
+Orientation             Z
+SpinEchoLength_unit     A
+Depolarisation_unit     A-2 cm-1
+Wavelength_unit         A
+
+BEGIN_DATA
+SpinEchoLength Depolarisation Depolarisation_error Wavelength
+260.0 -1.42E-3 2.04E-3 1.612452
+280.8 -1.45E-3 1.87E-3 1.675709
+303.264 -1.64E-3 1.23E-3 1.741448
+327.525 -1.69E-3 1.17E-3 1.809765
+353.727 -2.23E-3 9.09E-4 1.880763
+382.025 -2.26E-3 8.58E-4 1.954546
+412.587 -2.41E-3 7.29E-4 2.031224
+445.594 -2.58E-3 6.75E-4 2.11091
+481.242 -2.88E-3 6.04E-4 2.193723
+519.741 -3.35E-3 5.56E-4 2.279783
+561.32 -3.60E-3 5.22E-4 2.369219
+606.226 -3.92E-3 4.91E-4 2.462166
+654.724 -4.36E-3 4.73E-4 2.558758
+707.102 -4.67E-3 4.54E-4 2.659139
+763.67 -4.91E-3 4.22E-4 2.763458
+824.764 -5.32E-3 3.88E-4 2.87187
+890.745 -5.43E-3 3.53E-4 2.984535
+962.005 -5.61E-3 3.28E-4 3.101621
+1038.97 -5.83E-3 3.07E-4 3.223306
+1122.08 -5.88E-3 2.91E-4 3.349746
+1211.85 -5.91E-3 2.73E-4 3.481164
+1308.8 -5.71E-3 2.61E-4 3.617734
+1413.5 -5.40E-3 2.49E-4 3.759654
+1526.58 -5.10E-3 2.41E-4 3.907147
+1648.71 -4.77E-3 2.34E-4 4.060431
+1780.6 -4.34E-3 2.26E-4 4.219716
+1923.05 -4.18E-3 2.20E-4 4.385259
+2076.9 -4.08E-3 2.16E-4 4.557302
+2243.05 -4.37E-3 2.13E-4 4.736085
+2422.49 -4.66E-3 2.10E-4 4.92188
+2616.29 -4.96E-3 2.06E-4 5.114968
+2825.59 -5.04E-3 2.03E-4 5.315628
+3051.64 -4.96E-3 1.99E-4 5.524165
+3295.77 -4.72E-3 1.97E-4 5.74088
+3559.43 -4.52E-3 1.92E-4 5.966096
+3844.19 -4.65E-3 1.93E-4 6.200153
+4151.72 -4.74E-3 1.96E-4 6.443384
+4483.86 -4.87E-3 1.99E-4 6.696163
+4842.57 -4.81E-3 2.05E-4 6.958858
+5229.98 -4.57E-3 2.09E-4 7.23186
+5648.38 -4.72E-3 2.17E-4 7.515571
+6100.25 -4.79E-3 2.23E-4 7.81041
+6588.27 -4.68E-3 2.28E-4 8.116816
+7115.33 -4.61E-3 2.32E-4 8.435242
+7684.55 -4.78E-3 2.46E-4 8.766157
+8299.32 -4.74E-3 2.46E-4 9.11006
+8963.26 -4.56E-3 2.50E-4 9.467449
+9680.32 -4.70E-3 2.58E-4 9.838862
+10454.7 -4.81E-3 2.64E-4 10.224823
+11291.1 -4.65E-3 2.69E-4 10.625959
+12194.4 -4.43E-3 2.79E-4 11.042826
+13170.0 -4.55E-3 3.01E-4 11.476062
+14223.6 -4.35E-3 3.20E-4 11.926274
+15361.5 -4.24E-3 3.51E-4 12.394152
+16590.4 -4.68E-3 4.12E-4 12.880373
+17917.6 -4.96E-3 4.98E-4 13.385664
+19303.4 -4.56E-3 5.98E-4 13.893668
Index: test/sasdataloader/test/sesans_examples/too_many_headers.ses
===================================================================
--- test/sasdataloader/test/sesans_examples/too_many_headers.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
+++ test/sasdataloader/test/sesans_examples/too_many_headers.ses	(revision 60820488c1a10ae2d10f1a606e4033bbdff2f503)
@@ -0,0 +1,73 @@
+FileFormatVersion       1.0
+DataFileTitle           PMMA in Mixed Deuterated decalin
+Sample                  Ostensibly 40$ 100nm radius PMMA hard spheres in mixed deuterarted decalin.
+Thickness               2
+Thickness_unit          mm
+Theta_zmax              0.09
+Theta_zmax_unit         radians
+Theta_ymax              0.09
+Theta_ymax_unit         radians
+Orientation             Z
+SpinEchoLength_unit     A
+Depolarisation_unit     A-2 cm-1
+Wavelength_unit         A
+
+BEGIN_DATA
+SpinEchoLength Depolarisation Depolarisation_error Wavelength SpinEchoLength_error
+260.0 -1.42E-3 2.04E-3 1.612452
+280.8 -1.45E-3 1.87E-3 1.675709
+303.264 -1.64E-3 1.23E-3 1.741448
+327.525 -1.69E-3 1.17E-3 1.809765
+353.727 -2.23E-3 9.09E-4 1.880763
+382.025 -2.26E-3 8.58E-4 1.954546
+412.587 -2.41E-3 7.29E-4 2.031224
+445.594 -2.58E-3 6.75E-4 2.11091
+481.242 -2.88E-3 6.04E-4 2.193723
+519.741 -3.35E-3 5.56E-4 2.279783
+561.32 -3.60E-3 5.22E-4 2.369219
+606.226 -3.92E-3 4.91E-4 2.462166
+654.724 -4.36E-3 4.73E-4 2.558758
+707.102 -4.67E-3 4.54E-4 2.659139
+763.67 -4.91E-3 4.22E-4 2.763458
+824.764 -5.32E-3 3.88E-4 2.87187
+890.745 -5.43E-3 3.53E-4 2.984535
+962.005 -5.61E-3 3.28E-4 3.101621
+1038.97 -5.83E-3 3.07E-4 3.223306
+1122.08 -5.88E-3 2.91E-4 3.349746
+1211.85 -5.91E-3 2.73E-4 3.481164
+1308.8 -5.71E-3 2.61E-4 3.617734
+1413.5 -5.40E-3 2.49E-4 3.759654
+1526.58 -5.10E-3 2.41E-4 3.907147
+1648.71 -4.77E-3 2.34E-4 4.060431
+1780.6 -4.34E-3 2.26E-4 4.219716
+1923.05 -4.18E-3 2.20E-4 4.385259
+2076.9 -4.08E-3 2.16E-4 4.557302
+2243.05 -4.37E-3 2.13E-4 4.736085
+2422.49 -4.66E-3 2.10E-4 4.92188
+2616.29 -4.96E-3 2.06E-4 5.114968
+2825.59 -5.04E-3 2.03E-4 5.315628
+3051.64 -4.96E-3 1.99E-4 5.524165
+3295.77 -4.72E-3 1.97E-4 5.74088
+3559.43 -4.52E-3 1.92E-4 5.966096
+3844.19 -4.65E-3 1.93E-4 6.200153
+4151.72 -4.74E-3 1.96E-4 6.443384
+4483.86 -4.87E-3 1.99E-4 6.696163
+4842.57 -4.81E-3 2.05E-4 6.958858
+5229.98 -4.57E-3 2.09E-4 7.23186
+5648.38 -4.72E-3 2.17E-4 7.515571
+6100.25 -4.79E-3 2.23E-4 7.81041
+6588.27 -4.68E-3 2.28E-4 8.116816
+7115.33 -4.61E-3 2.32E-4 8.435242
+7684.55 -4.78E-3 2.46E-4 8.766157
+8299.32 -4.74E-3 2.46E-4 9.11006
+8963.26 -4.56E-3 2.50E-4 9.467449
+9680.32 -4.70E-3 2.58E-4 9.838862
+10454.7 -4.81E-3 2.64E-4 10.224823
+11291.1 -4.65E-3 2.69E-4 10.625959
+12194.4 -4.43E-3 2.79E-4 11.042826
+13170.0 -4.55E-3 3.01E-4 11.476062
+14223.6 -4.35E-3 3.20E-4 11.926274
+15361.5 -4.24E-3 3.51E-4 12.394152
+16590.4 -4.68E-3 4.12E-4 12.880373
+17917.6 -4.96E-3 4.98E-4 13.385664
+19303.4 -4.56E-3 5.98E-4 13.893668
Index: test/sasdataloader/test/testplugings.py
===================================================================
--- test/sasdataloader/test/testplugings.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/sasdataloader/test/testplugings.py	(revision 17c943656cb7c598b2d5cf9530ed6227d88ae6f9)
@@ -3,4 +3,5 @@
 """
 
+import os
 import unittest
 from sas.sascalc.dataloader.loader import  Loader, Registry
@@ -41,7 +42,10 @@
         # Create module
         import zipfile
-        z = zipfile.PyZipFile("plugins.zip", 'w')
+        f_name = "plugins.zip"
+        z = zipfile.PyZipFile(f_name, 'w')
         z.writepy("../plugins", "")
         z.close()
+        if os.path.isfile(f_name):
+            os.remove(f_name)
         
     def testplugin_checksetup(self):
